﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /O_CAL
DATE:                  2018-05-02 11:44:53
AUTHOR:                Fluke
REVISION:              $Revision: 3872 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       33
NUMBER OF LINES:       789
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        DPO4014B, DPO4034B, DPO4054B, DPO4102B(-L), DPO4104B(-L)
#        MSO4014B, MSO4034B, MSO4054B, MSO4102B(-L), MSO4104B(-L)
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         DCV_GAIN_ACC              PSUBI("1 MOhm DCV Gain")
  1.003  JMPL         OFFSET_ACC                PSUBI("Offset Acc")
  1.004  JMPL         SAMPLE_RATE               PSUBI("Sample Rate")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

# =====  Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /O_CAL  ===========
#
# This test deviates from the performance verification manual.  Applied
# voltage is equivalent to 3.5 divisions instead of 4.5 divisions, per
# Tektronix Engineering Change Request CR00430025.

  2.001  LABEL        DCV_GAIN_ACC
  2.002  MATH         Conf = CONF(@CalDev)

  2.003  RSLT         =
  2.004  HEAD         {DC GAIN ACCURACY: Channel [V @Chan]}
  2.005  RSLT         =
  2.006  HEAD         -2 {1 MOhm, 20 MHz Bandwidth}: 1 mV/div
  2.007  TARGET       -p
  2.008  TSET         TDESC = 1 mV/div
  2.009  VISA         CH[V @Chan]:BAN TWE;TER 1E+6;SCA 1E-3;POS 0;OFFS 0
  2.010  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU LINE
  2.011  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE MEAN
  2.012  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
  2.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.014  JMPL         END_DCV_GAIN_ACC             @Abort
  2.015  TARGET       -m
  2.016  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  2.016  O_CAL        +Voltage = +3.5 mV; OutputImpedance = 1 MOhm
  2.017  MATH         AccPos = REFACC()
  2.018  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  2.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.020  JMPL         END_DCV_GAIN_ACC             @Abort
  2.021  VISA         MEASU:IMM:VAL?[I]
  2.022  MATH         MeasPos = MEM
  2.023  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  2.023  O_CAL        +Voltage = -3.5 mV; OutputImpedance = 1 MOhm
  2.024  MATH         AccNeg = REFACC()
  2.025  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  2.026  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.027  JMPL         END_DCV_GAIN_ACC             @Abort
  2.028  VISA         MEASU:IMM:VAL?[I]
  2.029  MATH         MeasNeg = MEM
  2.030  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  2.031  ACC          7.0mV          L1U
  2.032  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  2.033  MEMCX        7.0mV          2.0%

  3.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div
  3.004  VISA         CH[V @Chan]:TER 1E+6;SCA 2E-3;POS 0;OFFS 0
  3.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.006  JMPL         END_DCV_GAIN_ACC             @Abort
  3.007  TARGET       -m
  3.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  3.008  O_CAL        +Voltage = +7.0 mV; OutputImpedance = 1 MOhm
  3.009  MATH         AccPos = REFACC()
  3.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  3.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.012  JMPL         END_DCV_GAIN_ACC             @Abort
  3.013  VISA         MEASU:IMM:VAL?[I]
  3.014  MATH         MeasPos = MEM
  3.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  3.015  O_CAL        +Voltage = -7.0 mV; OutputImpedance = 1 MOhm
  3.016  MATH         AccNeg = REFACC()
  3.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  3.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.019  JMPL         END_DCV_GAIN_ACC             @Abort
  3.020  VISA         MEASU:IMM:VAL?[I]
  3.021  MATH         MeasNeg = MEM
  3.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  3.023  ACC          14.0mV         L1U
  3.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  3.025  MEMCX        14.0mV         1.5%

  4.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div
  4.004  VISA         CH[V @Chan]:TER 1E+6;SCA 5E-3;POS 0;OFFS 0
  4.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.006  JMPL         END_DCV_GAIN_ACC             @Abort
  4.007  TARGET       -m
  4.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  4.008  O_CAL        +Voltage = +17.5 mV; OutputImpedance = 1 MOhm
  4.009  MATH         AccPos = REFACC()
  4.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  4.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.012  JMPL         END_DCV_GAIN_ACC             @Abort
  4.013  VISA         MEASU:IMM:VAL?[I]
  4.014  MATH         MeasPos = MEM
  4.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  4.015  O_CAL        +Voltage = -17.5 mV; OutputImpedance = 1 MOhm
  4.016  MATH         AccNeg = REFACC()
  4.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  4.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.019  JMPL         END_DCV_GAIN_ACC             @Abort
  4.020  VISA         MEASU:IMM:VAL?[I]
  4.021  MATH         MeasNeg = MEM
  4.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  4.023  ACC          35.0mV         L1U
  4.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  4.025  MEMCX        35.0mV         1.5%

  5.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 10 mV/div
  5.002  TARGET       -p
  5.003  TSET         TDESC = 10 mV/div
  5.004  VISA         CH[V @Chan]:TER 1E+6;SCA 10E-3;POS 0;OFFS 0
  5.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.006  JMPL         END_DCV_GAIN_ACC             @Abort
  5.007  TARGET       -m
  5.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  5.008  O_CAL        +Voltage = +35.0 mV; OutputImpedance = 1 MOhm
  5.009  MATH         AccPos = REFACC()
  5.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  5.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.012  JMPL         END_DCV_GAIN_ACC             @Abort
  5.013  VISA         MEASU:IMM:VAL?[I]
  5.014  MATH         MeasPos = MEM
  5.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  5.015  O_CAL        +Voltage = -35.0 mV; OutputImpedance = 1 MOhm
  5.016  MATH         AccNeg = REFACC()
  5.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  5.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.019  JMPL         END_DCV_GAIN_ACC             @Abort
  5.020  VISA         MEASU:IMM:VAL?[I]
  5.021  MATH         MeasNeg = MEM
  5.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  5.023  ACC          70.0mV         L1U
  5.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  5.025  MEMCX        70.0mV         1.5%

  6.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 20 mV/div
  6.002  TARGET       -p
  6.003  TSET         TDESC = 20 mV/div
  6.004  VISA         CH[V @Chan]:TER 1E+6;SCA 20E-3;POS 0;OFFS 0
  6.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.006  JMPL         END_DCV_GAIN_ACC             @Abort
  6.007  TARGET       -m
  6.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  6.008  O_CAL        +Voltage = +70 mV; OutputImpedance = 1 MOhm
  6.009  MATH         AccPos = REFACC()
  6.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  6.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.012  JMPL         END_DCV_GAIN_ACC             @Abort
  6.013  VISA         MEASU:IMM:VAL?[I]
  6.014  MATH         MeasPos = MEM
  6.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  6.015  O_CAL        +Voltage = -70 mV; OutputImpedance = 1 MOhm
  6.016  MATH         AccNeg = REFACC()
  6.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  6.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.019  JMPL         END_DCV_GAIN_ACC             @Abort
  6.020  VISA         MEASU:IMM:VAL?[I]
  6.021  MATH         MeasNeg = MEM
  6.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  6.023  ACC          140.0mV        L1U
  6.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  6.025  MEMCX        140.0mV        1.5%

  7.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 50 mV/div
  7.002  TARGET       -p
  7.003  TSET         TDESC = 50 mV/div
  7.004  VISA         CH[V @Chan]:TER 1E+6;SCA 50E-3;POS 0;OFFS 0
  7.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.006  JMPL         END_DCV_GAIN_ACC             @Abort
  7.007  TARGET       -m
  7.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  7.008  O_CAL        +Voltage = +175 mV; OutputImpedance = 1 MOhm
  7.009  MATH         AccPos = REFACC()
  7.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  7.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.012  JMPL         END_DCV_GAIN_ACC             @Abort
  7.013  VISA         MEASU:IMM:VAL?[I]
  7.014  MATH         MeasPos = MEM
  7.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  7.015  O_CAL        +Voltage = -175 mV ; OutputImpedance = 1 MOhm
  7.016  MATH         AccNeg = REFACC()
  7.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  7.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.019  JMPL         END_DCV_GAIN_ACC             @Abort
  7.020  VISA         MEASU:IMM:VAL?[I]
  7.021  MATH         MeasNeg = MEM
  7.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  7.023  ACC          350.0mV        L1U
  7.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  7.025  MEMCX        350.0mV        1.5%

  8.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 63.5 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 63.5 mV/div
  8.004  VISA         CH[V @Chan]:TER 1E+6;SCA 63.5E-3;POS 0;OFFS 0
  8.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.006  JMPL         END_DCV_GAIN_ACC             @Abort
  8.007  TARGET       -m
  8.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  8.008  O_CAL        +Voltage = +222.25 mV; OutputImpedance = 1 MOhm
  8.009  MATH         AccPos = REFACC()
  8.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  8.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.012  JMPL         END_DCV_GAIN_ACC             @Abort
  8.013  VISA         MEASU:IMM:VAL?[I]
  8.014  MATH         MeasPos = MEM
  8.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  8.015  O_CAL        +Voltage = -222.25 mV; OutputImpedance = 1 MOhm
  8.016  MATH         AccNeg = REFACC()
  8.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  8.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.019  JMPL         END_DCV_GAIN_ACC             @Abort
  8.020  VISA         MEASU:IMM:VAL?[I]
  8.021  MATH         MeasNeg = MEM
  8.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  8.023  ACC          444.5mV        L1U
  8.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  8.025  MEMCX        444.5mV        3.0%

  9.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 100 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 100 mV/div
  9.004  VISA         CH[V @Chan]:TER 1E+6;SCA 100E-3;POS 0;OFFS 0
  9.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.006  JMPL         END_DCV_GAIN_ACC             @Abort
  9.007  TARGET       -m
  9.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  9.008  O_CAL        +Voltage = +350 mV; OutputImpedance = 1 MOhm
  9.009  MATH         AccPos = REFACC()
  9.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  9.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.012  JMPL         END_DCV_GAIN_ACC             @Abort
  9.013  VISA         MEASU:IMM:VAL?[I]
  9.014  MATH         MeasPos = MEM
  9.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
  9.015  O_CAL        +Voltage = -350 mV; OutputImpedance = 1 MOhm
  9.016  MATH         AccNeg = REFACC()
  9.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
  9.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.019  JMPL         END_DCV_GAIN_ACC             @Abort
  9.020  VISA         MEASU:IMM:VAL?[I]
  9.021  MATH         MeasNeg = MEM
  9.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
  9.023  ACC          700.0mV        L1U
  9.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
  9.025  MEMCX        700.0mV        1.5%

 10.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 200 mV/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 200 mV/div
 10.004  VISA         CH[V @Chan]:TER 1E+6;SCA 200E-3;POS 0;OFFS 0
 10.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.006  JMPL         END_DCV_GAIN_ACC             @Abort
 10.007  TARGET       -m
 10.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 10.008  O_CAL        +Voltage = +700 mV; OutputImpedance = 1 MOhm
 10.009  MATH         AccPos = REFACC()
 10.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 10.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.012  JMPL         END_DCV_GAIN_ACC             @Abort
 10.013  VISA         MEASU:IMM:VAL?[I]
 10.014  MATH         MeasPos = MEM
 10.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 10.015  O_CAL        +Voltage = -700 mV; OutputImpedance = 1 MOhm
 10.016  MATH         AccNeg = REFACC()
 10.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 10.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.019  JMPL         END_DCV_GAIN_ACC             @Abort
 10.020  VISA         MEASU:IMM:VAL?[I]
 10.021  MATH         MeasNeg = MEM
 10.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
 10.023  ACC          1400.0mV       L1U
 10.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 10.025  MEMCX        1400.0mV       1.5%

 11.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 500 mV/div
 11.002  TARGET       -p
 11.003  TSET         TDESC = 500 mV/div
 11.004  VISA         CH[V @Chan]:TER 1E+6;SCA 500E-3;POS 0;OFFS 0
 11.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.006  JMPL         END_DCV_GAIN_ACC             @Abort
 11.007  TARGET       -m
 11.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 11.008  O_CAL        +Voltage = +1750 mV; OutputImpedance = 1 MOhm
 11.009  MATH         AccPos = REFACC()
 11.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 11.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.012  JMPL         END_DCV_GAIN_ACC             @Abort
 11.013  VISA         MEASU:IMM:VAL?[I]
 11.014  MATH         MeasPos = MEM
 11.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 11.015  O_CAL        +Voltage = -1750 mV; OutputImpedance = 1 MOhm
 11.016  MATH         AccNeg = REFACC()
 11.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 11.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.019  JMPL         END_DCV_GAIN_ACC             @Abort
 11.020  VISA         MEASU:IMM:VAL?[I]
 11.021  MATH         MeasNeg = MEM
 11.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
 11.023  ACC          3500.0mV       L1U
 11.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 11.025  MEMCX        3500.0mV       1.5%

 12.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 1 V/div
 12.002  TARGET       -p
 12.003  TSET         TDESC = 1 V/div
 12.004  VISA         CH[V @Chan]:TER 1E+6;SCA 1;POS 0;OFFS 0
 12.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.006  JMPL         END_DCV_GAIN_ACC             @Abort
 12.007  TARGET       -m
 12.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 12.008  O_CAL        +Voltage = +3500 mV; OutputImpedance = 1 MOhm
 12.009  MATH         AccPos = REFACC()
 12.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 12.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.012  JMPL         END_DCV_GAIN_ACC             @Abort
 12.013  VISA         MEASU:IMM:VAL?[I]
 12.014  MATH         MeasPos = MEM
 12.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 12.015  O_CAL        +Voltage = -3500 mV; OutputImpedance = 1 MOhm
 12.016  MATH         AccNeg = REFACC()
 12.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 12.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.019  JMPL         END_DCV_GAIN_ACC             @Abort
 12.020  VISA         MEASU:IMM:VAL?[I]
 12.021  MATH         MeasNeg = MEM
 12.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
 12.023  ACC          7000.0mV       L1U
 12.024  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 12.025  MEMCX        7000.0mV       1.5%

 13.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 5 V/div
 13.002  TARGET       -p
 13.003  TSET         TDESC = 5 V/div
 13.004  VISA         CH[V @Chan]:TER 1E+6;SCA 5;POS 0;OFFS 0
 13.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.006  JMPL         END_DCV_GAIN_ACC             @Abort
 13.007  TARGET       -m
 13.008  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 13.008  O_CAL        +Voltage = +17.5 V; OutputImpedance = 1 MOhm
 13.009  MATH         AccPos = REFACC()
 13.010  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 13.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.012  JMPL         END_DCV_GAIN_ACC             @Abort
 13.013  VISA         MEASU:IMM:VAL?[I]
 13.014  MATH         MeasPos = MEM
 13.015  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 13.015  O_CAL        +Voltage = -17.5 V; OutputImpedance = 1 MOhm
 13.016  MATH         AccNeg = REFACC()
 13.017  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 13.018  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.019  JMPL         END_DCV_GAIN_ACC             @Abort
 13.020  VISA         MEASU:IMM:VAL?[I]
 13.021  MATH         MeasNeg = MEM
 13.022  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
 13.023  ACC          35.0V          L1U
 13.024  MATH         MEM = (MeasPos - MeasNeg)
 13.025  MEMCX        35.0V          1.5%

# The 250 MHz bandwidth test is only applicable to >100 MHz bandwidth models.
 14.001  IF           @Bandwidth > 100E+6
 14.002  RSLT         =
 14.003  HEAD         -2 {1 MOhm, 250 MHz Bandwidth}: 20 mV/div
 14.004  TARGET
 14.005  TSET         TDESC = 20 mV/div
 14.006  VISA         CH[V @Chan]:TER 1E+6;BAN TWO;SCA 20E-3;POS 0;OFFS 0
 14.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.008  JMPL         END_DCV_GAIN_ACC             @Abort
 14.009  TARGET       -m
 14.010  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 14.010  O_CAL        +Voltage = +70.0 mV; OutputImpedance = 1 MOhm
 14.011  MATH         AccPos = REFACC()
 14.012  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 14.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.014  JMPL         END_DCV_GAIN_ACC             @Abort
 14.015  VISA         MEASU:IMM:VAL?[I]
 14.016  MATH         MeasPos = MEM
 14.017  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 14.017  O_CAL        +Voltage = -70.0 mV; OutputImpedance = 1 MOhm
 14.018  MATH         AccNeg = REFACC()
 14.019  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 14.020  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.021  JMPL         END_DCV_GAIN_ACC             @Abort
 14.022  VISA         MEASU:IMM:VAL?[I]
 14.023  MATH         MeasNeg = MEM
 14.024  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
 14.025  ACC          140.0mV        L1U
 14.026  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 14.027  MEMCX        140.0mV        1.5%
 15.001  ENDIF

 15.002  RSLT         =
 15.003  HEAD         -2 {1 MOhm, Full Bandwidth}: 20 mV/div
 15.004  TARGET       -p
 15.005  TSET         TDESC = 20 mV/div
 15.006  VISA         CH[V @Chan]:TER 1E+6;BAN FUL;SCA 20E-3;POS 0;OFFS 0
 15.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.008  JMPL         END_DCV_GAIN_ACC             @Abort
 15.009  TARGET       -m
 15.010  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 15.010  O_CAL        +Voltage = +70.0 mV; OutputImpedance = 1 MOhm
 15.011  MATH         AccPos = REFACC()
 15.012  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 15.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.014  JMPL         END_DCV_GAIN_ACC             @Abort
 15.015  VISA         MEASU:IMM:VAL?[I]
 15.016  MATH         MeasPos = MEM
 15.017  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 15.017  O_CAL        +Voltage = -70.0 mV; OutputImpedance = 1 MOhm
 15.018  MATH         AccNeg = REFACC()
 15.019  VISA         MEASU:STATI RESET;:ACQ:STATE RUN
 15.020  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.021  JMPL         END_DCV_GAIN_ACC             @Abort
 15.022  VISA         MEASU:IMM:VAL?[I]
 15.023  MATH         MeasNeg = MEM
 15.024  MATH         L[1] = RSS2(AccPos, AccNeg) / Conf * 2
 15.025  ACC          140.0mV        L1U
 15.026  MATH         MEM = (MeasPos - MeasNeg) / 1E-3
 15.027  MEMCX        140.0mV        1.5%

 16.001  LABEL        END_DCV_GAIN_ACC
 16.002  HEAD         -2
 16.003  O_CAL        Standby
 16.004  HEAD
 16.005  END

 16.006  EVAL   Increment test number

# =====  Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /O_CAL  ================

 17.001  LABEL        OFFSET_ACC

 17.002  RSLT         =
 17.003  HEAD         {OFFSET ACCURACY: Channel [V @Chan]}
 17.004  RSLT         =
 17.005  HEAD         -2 {50 Ohm}, 1 mV/div
 17.006  TARGET       -p
 17.007  TSET         TDESC = 1 mV/div
 17.008  VISA         CH[V @Chan]:BAN TWE
 17.009  VISA         TRIG:A:MOD NORM;TYPE EDGE
 17.010  VISA         TRIG:A:EDGE:SOU LINE
 17.011  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE MEAN
 17.012  VISA         CH[V @Chan]:TER 50;SCA 1E-3;POS 0;OFFS +900E-3
 17.013  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
 17.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.015  JMPL         END_OFFSET_ACC               @Abort
 17.016  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 17.016  O_CAL        +Voltage = +900.0 mV; OutputImpedance = 50 Ohms
 17.017  TARGET       -m
 17.018  VISA         ACQ:STATE RUN
 17.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.020  JMPL         END_OFFSET_ACC               @Abort
 17.021  VISA         MEASU:IMM:VAL?[I]
 17.022  MATH         MEM = MEM / 1E-3
 17.023  MEMCX        +900.0mV       4.7U

 18.001  TSET         TDESC = 1 mV/div
 18.002  VISA         CH[V @Chan]:OFFS -900E-3
 18.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.004  JMPL         END_OFFSET_ACC               @Abort
 18.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 18.005  O_CAL        +Voltage = -900.0 mV; OutputImpedance = 50 Ohms
 18.006  TARGET       -m
 18.007  VISA         ACQ:STATE RUN
 18.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.009  JMPL         END_OFFSET_ACC               @Abort
 18.010  VISA         MEASU:IMM:VAL?[I]
 18.011  MATH         MEM = MEM / 1E-3
 18.012  MEMCX        -900.0mV       4.7U

 19.001  HEAD         -2 50 Ohm, 100 mV/div
 19.002  TARGET       -p
 19.003  TSET         TDESC = 100 mV/div
 19.004  VISA         CH[V @Chan]:SCA 100E-3;OFFS +5
 19.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.006  JMPL         END_OFFSET_ACC               @Abort
 19.007  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 19.007  O_CAL        +Voltage = +5.000 V; OutputImpedance = 50 Ohms
 19.008  TARGET       -m
 19.009  VISA         ACQ:STATE RUN
 19.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.011  JMPL         END_OFFSET_ACC               @Abort
 19.012  VISA         MEASU:IMM:VAL?[I]
 19.013  MEMCX        +5.000V        0.035U

 20.001  TSET         TDESC = 100 mV/div
 20.002  VISA         CH[V @Chan]:OFFS -5
 20.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.004  JMPL         END_OFFSET_ACC               @Abort
 20.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 20.005  O_CAL        +Voltage = -5.000 V; OutputImpedance = 50 Ohms
 20.006  TARGET       -m
 20.007  VISA         ACQ:STATE RUN
 20.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.009  JMPL         END_OFFSET_ACC               @Abort
 20.010  VISA         MEASU:IMM:VAL?[I]
 20.011  MEMCX        -5.000V        0.035U

 21.001  O_CAL        Standby

 21.002  RSLT         =
 21.003  HEAD         -2 {1 MOhm}, 1 mV/div
 21.004  TARGET       -p
 21.005  TSET         TDESC = 1 mV/div
 21.006  VISA         CH[V @Chan]:TER 1E+6;SCA 1E-3;OFFS +900E-3
 21.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.008  JMPL         END_OFFSET_ACC               @Abort
 21.009  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 21.009  O_CAL        +Voltage = +900.0 mV; OutputImpedance = 1 MOhm
 21.010  TARGET       -m
 21.011  VISA         ACQ:STATE RUN
 21.012  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.013  JMPL         END_OFFSET_ACC               @Abort
 21.014  VISA         MEASU:IMM:VAL?[I]
 21.015  MATH         MEM = MEM / 1E-3
 21.016  MEMCX        +900.0mV       4.7U

 22.001  TSET         TDESC = 1 mV/div
 22.002  VISA         CH[V @Chan]:OFFS -900E-3
 22.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.004  JMPL         END_OFFSET_ACC               @Abort
 22.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 22.005  O_CAL        +Voltage = -900.0 mV; OutputImpedance = 1 MOhm
 22.006  TARGET       -m
 22.007  VISA         ACQ:STATE RUN
 22.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.009  JMPL         END_OFFSET_ACC               @Abort
 22.010  VISA         MEASU:IMM:VAL?[I]
 22.011  MATH         MEM = MEM / 1E-3
 22.012  MEMCX        -900.0mV       4.7U

 23.001  TSET         TDESC = 100 mV/div
 23.002  VISA         CH[V @Chan]:SCA 100E-3;OFFS +9
 23.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.004  JMPL         END_OFFSET_ACC               @Abort
 23.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 23.005  O_CAL        +Voltage = +9.000 V; OutputImpedance = 1 MOhm
 23.006  TARGET       -m
 23.007  VISA         ACQ:STATE RUN
 23.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.009  JMPL         END_OFFSET_ACC               @Abort
 23.010  VISA         MEASU:IMM:VAL?[I]
 23.011  MEMCX        +9.000V        0.065U

 24.001  TSET         TDESC = 100 mV/div
 24.002  VISA         CH[V @Chan]:OFFS -9
 24.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.004  JMPL         END_OFFSET_ACC               @Abort
 24.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 24.005  O_CAL        +Voltage = -9.000 V; OutputImpedance = 1 MOhm
 24.006  TARGET       -m
 24.007  VISA         ACQ:STATE RUN
 24.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.009  JMPL         END_OFFSET_ACC               @Abort
 24.010  VISA         MEASU:IMM:VAL?[I]
 24.011  MEMCX        -9.000V        0.065U

 25.001  TSET         TDESC = 500 mV/div
 25.002  VISA         CH[V @Chan]:SCA 500E-3;OFFS +9
 25.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.004  JMPL         END_OFFSET_ACC               @Abort
 25.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 25.005  O_CAL        +Voltage = +9.000 V; OutputImpedance = 1 MOhm
 25.006  TARGET       -m
 25.007  VISA         ACQ:STATE RUN
 25.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.009  JMPL         END_OFFSET_ACC               @Abort
 25.010  VISA         MEASU:IMM:VAL?[I]
 25.011  MEMCX        +9.000V        0.145U

 26.001  TSET         TDESC = 500 mV/div
 26.002  VISA         CH[V @Chan]:OFFS -9
 26.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.004  JMPL         END_OFFSET_ACC               @Abort
 26.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 26.005  O_CAL        +Voltage = -9.000 V; OutputImpedance = 1 MOhm
 26.006  TARGET       -m
 26.007  VISA         ACQ:STATE RUN
 26.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.009  JMPL         END_OFFSET_ACC               @Abort
 26.010  VISA         MEASU:IMM:VAL?[I]
 26.011  MEMCX        -9.000V        0.145U

 27.001  TSET         TDESC = 1.01 V/div
 27.002  VISA         CH[V @Chan]:SCA 1.01;OFFS +99.5
 27.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.004  JMPL         END_OFFSET_ACC               @Abort
 27.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 27.005  O_CAL        +Voltage = +99.5 V; OutputImpedance = 1 MOhm
 27.006  TARGET       -m
 27.007  VISA         ACQ:STATE RUN
 27.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.009  JMPL         END_OFFSET_ACC               @Abort
 27.010  VISA         MEASU:IMM:VAL?[I]
 27.011  MEMCX        +99.5V         0.7U

 28.001  TSET         TDESC = 1.01 V/div
 28.002  VISA         CH[V @Chan]:OFFS -99.5
 28.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 28.004  JMPL         END_OFFSET_ACC               @Abort
 28.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 28.005  O_CAL        +Voltage = -99.5 V; OutputImpedance = 1 MOhm
 28.006  TARGET       -m
 28.007  VISA         ACQ:STATE RUN
 28.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 28.009  JMPL         END_OFFSET_ACC               @Abort
 28.010  VISA         MEASU:IMM:VAL?[I]
 28.011  MEMCX        -99.5V         0.7U

 29.001  TSET         TDESC = 5 V/div
 29.002  VISA         CH[V @Chan]:SCA 5;OFFS +99.5
 29.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 29.004  JMPL         END_OFFSET_ACC               @Abort
 29.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 29.005  O_CAL        +Voltage = +99.5 V; OutputImpedance = 1 MOhm
 29.006  TARGET       -m
 29.007  VISA         ACQ:STATE RUN
 29.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 29.009  JMPL         END_OFFSET_ACC               @Abort
 29.010  VISA         MEASU:IMM:VAL?[I]
 29.011  MEMCX        +99.5V         1.5U

 30.001  TSET         TDESC = 5 V/div
 30.002  VISA         CH[V @Chan]:OFFS -99.5
 30.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 30.004  JMPL         END_OFFSET_ACC               @Abort
 30.005  O_CAL        Mode = Voltage; Channel = [V @CalChan]
 30.005  O_CAL        +Voltage = -99.5 V; OutputImpedance = 1 MOhm
 30.006  TARGET       -m
 30.007  VISA         ACQ:STATE RUN
 30.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 30.009  JMPL         END_OFFSET_ACC               @Abort
 30.010  VISA         MEASU:IMM:VAL?[I]
 30.011  MEMCX        -99.5V         1.5U

 31.001  LABEL        END_OFFSET_ACC
 31.002  HEAD         -2
 31.003  O_CAL        Standby
 31.004  HEAD
 31.005  END

 31.006  EVAL   Increment test number

# =====  Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /O_CAL  ===============

 32.001  LABEL        SAMPLE_RATE

 32.002  RSLT         =
 32.003  HEAD         {SAMPLE RATE AND DELAY TIME ACCURACY}
 32.004  TARGET       -p

# Connection instructions for single or multi-channel calibrator; applies only
# to DUT channel 1.  For channel 2-4 connection instructions, see the Input
# Impedance test.
 32.005  IF           @Chan == 1
 32.006  DISP         Remove all connections.
 32.006  DISP         [7][D250][7][D250][7][D250][7][D250][7]

 32.007  IF           @CalMultiChan
 32.008  DISP         Remove the 50 Ohm feedthrough terminations and
 32.008  DISP         connect the [V @CalDev] to the DUT as follows:
 32.008  DISP
 32.008  DISP         [32] CH 1 to DUT CH 1
 32.008  DISP         [32] CH 2 to DUT CH 2
 32.008  DISP         [32] CH 3 to DUT CH 3
 32.008  DISP         [32] CH 4 to DUT CH 4

 32.009  ELSE

 32.010  IF           FINDI(@CalDev, "58", 0)
 32.011  DISP         Connect [V @CalDev] CHAN 1 to DUT CH [V @Chan].
 32.012  ELSE
 32.013  DISP         Connect [V @CalDev] SCOPE OUT to DUT CH [V @Chan].
 32.014  ENDIF

 32.015  ENDIF        ; @CalMultiChan

 32.016  IF           FINDI(@UUT_Model, "MDO", 0)
 32.017  DISP         Connect a Type N, 50 Ohm terminator to the DUT RF Input.
 32.018  ENDIF

 32.019  ENDIF        ; @Chan == 1

 32.020  TSET         NTHROW = 0
 32.021  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
 32.022  VISA         CH[V @Chan]:TER 50;SCA 500E-3;POS -1;:HOR:SCA 20E-3
 32.023  VISA         TRIG:A:MOD NORM;TYPE EDGE;LEV:CH[V @Chan] 500E-3
 32.024  VISA         TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 32.025  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.026  JMPL         END_SAMPLE_RATE              @Abort
 32.027  O_CAL        +Period = 80 ms; Mode = Marker; Chan = [V @CalChan]
 32.028  VISA         HOR:SCA 400E-9;MAI:DEL:MOD ON;TIM 80E-3
 32.029  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.030  JMPL         END_SAMPLE_RATE              @Abort
 32.031  DISP         Adjust the Trigger LEVEL knob as necessary for a
 32.031  DISP         triggered display.
 32.031  DISP
 32.031  DISP         Adjust the Vertical POSITION knob to center the time
 32.031  DISP         mark signal on the screen.
 32.032  VISA         ACQ:STATE STOP;STOPAFTER SEQ
 32.033  VISA         CURS:FUNC WAVEFORM;MODE IND;:CURS:VBARS:UNITS SEC
 32.034  VISA         CURS:VBARS:POSITION1 80E-3;POSITION2 80E-3
 32.035  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.036  JMPL         END_SAMPLE_RATE              @Abort
 32.037  TARGET       -m
 32.038  VISA         ACQ:STATE RUN
 32.039  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.040  JMPL         END_SAMPLE_RATE              @Abort
 32.041  DISP         Use the Multipurpose (b) knob to align cursor (b) with
 32.041  DISP         the rising edge of the displayed waveform, where the
 32.041  DISP         waveform intercepts the horizontal axis.
 32.041  DISP
 32.041  DISP         NOTE: The reference cursor (a) has been automatically
 32.041  DISP         positioned as required for this measurement.
 32.042  VISA         CURS:VBARS:HPOS2?[I]

# Determine if cursor "b" is left or right of vertical center.
 32.043  IF           MEM < 1.0
 32.044  MATH         L[2] = -1.0
 32.045  ELSE
 32.046  MATH         L[2] = +1.0
 32.047  ENDIF

# Ensure cursor "a" is still at the 80 ms position before querying delta.
 32.048  VISA         CURS:VBARS:POSITION1 80E-3;:CURS:VBARS:DELTA?[I]
# Compute DUT Indicated in milliseconds.
 32.049  MATH         MEM = 80 + L[2] * MEM / 1E-3
 32.050  MEMCX        80.000000ms    5P%

 33.001  IF           @CalMultiChan
 33.002  MATH         Time = (@NumChan * 11) & " minutes"
 33.003  ELSE
 33.004  MATH         Time = "11 minutes"
 33.005  ENDIF

 33.006  DISP         The next operator intervention will occur in
 33.006  DISP         approximately [V Time].
 33.006  DISP
 33.006  DISP         Select "Advance" to proceed.

 33.007  LABEL        END_SAMPLE_RATE
 33.008  O_CAL        Standby
 33.009  HEAD
 33.010  END
