﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
INSTRUMENT:            Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
DATE:                  2013-08-06 20:51:36
AUTHOR:                Fluke
REVISION:              $Revision: 3802 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       450
CONFIGURATION:         Fluke Ocal (1.1GHz)
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        DPO4102B, DPO4102B-L, DPO4104B, DPO4104B-L
#        MSO4102B, MSO4102B-L, MSO4104B, MSO4104B-L
#        MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         50_Ohm_BW                   PSUBI("50 Ohm")
  1.003  JMPL         1_MOhm_BW                   PSUBI("1 MOhm")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   -e Increment test number

# =====  Sub Tek DPO410xB (1 yr) 50 Ohm BW VER VISA /O_CAL+G1  ==============

  2.001  LABEL        50_Ohm_BW

  2.002  RSLT         =
  2.003  HEAD         {ANALOG BANDWIDTH: Channel [V @Chan]}
  2.004  RSLT         =(Test Limit: >= 0.707, Ref = 8 div @ 50 kHz)
  2.005  RSLT         =
  2.006  HEAD         -2 {50 Ohm}, 1 mV/div
  2.007  TARGET
  2.008  VISA         CH[V @Chan]:TER 50;SCA 1E-3;:HOR:SCA 10E-6
  2.009  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  2.010  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE PK2PK
  2.011  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
  2.012  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.013  JMPL         END_50_Ohm_BW                @Abort
# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
  2.014  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  2.014  O_CAL        +Voltage = 8 mVpp; Frequency = 50 kHz
  2.015  VISA         ACQ:STATE RUN
  2.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.017  JMPL         END_50_Ohm_BW                @Abort
  2.018  VISA         MEASU:IMM:VAL?[I]
  2.019  MATH         Ref = MEM
  2.020  VISA         HOR:SCA 4E-9
  2.021  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.022  JMPL         END_50_Ohm_BW                @Abort
  2.023  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  2.023  O_CAL        +Voltage = 8 mVpp; Frequency = 175 MHz
  2.024  VISA         ACQ:STATE RUN
  2.025  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.026  JMPL         END_50_Ohm_BW                @Abort
  2.027  VISA         MEASU:IMM:VAL?[I]
  2.028  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  2.029  EVAL   -e MEM >= 0.707 : [MEM2] @ 175 MHz, 1 mV/div

  3.001  HEAD         -2 50 Ohm, 2 mV/div
  3.002  TARGET
  3.003  VISA         CH[V @Chan]:SCA 2E-3;:HOR:SCA 10E-6
  3.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.005  JMPL         END_50_Ohm_BW                @Abort
  3.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  3.006  O_CAL        +Voltage = 16 mVpp; Frequency = 50 kHz
  3.007  VISA         ACQ:STATE RUN
  3.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.009  JMPL         END_50_Ohm_BW                @Abort
  3.010  VISA         MEASU:IMM:VAL?[I]
  3.011  MATH         Ref = MEM
  3.012  VISA         HOR:SCA 2E-9
  3.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.014  JMPL         END_50_Ohm_BW                @Abort
  3.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  3.015  O_CAL        +Voltage = 16 mVpp; Frequency = 350 MHz
  3.016  VISA         ACQ:STATE RUN
  3.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.018  JMPL         END_50_Ohm_BW                @Abort
  3.019  VISA         MEASU:IMM:VAL?[I]
  3.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  3.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 350 MHz, 2 mV/div

  4.001  HEAD         -2 50 Ohm, 5 mV/div
  4.002  TARGET
  4.003  VISA         CH[V @Chan]:SCA 5E-3;:HOR:SCA 10E-6
  4.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.005  JMPL         END_50_Ohm_BW                @Abort
  4.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  4.006  O_CAL        +Voltage = 40 mVpp; Frequency = 50 kHz
  4.007  VISA         ACQ:STATE RUN
  4.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.009  JMPL         END_50_Ohm_BW                @Abort
  4.010  VISA         MEASU:IMM:VAL?[I]
  4.011  MATH         Ref = MEM
  4.012  VISA         HOR:SCA 1E-9
  4.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.014  JMPL         END_50_Ohm_BW                @Abort
  4.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  4.015  O_CAL        +Voltage = 40 mVpp; Frequency = 1 GHz
  4.016  VISA         ACQ:STATE RUN
  4.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.018  JMPL         END_50_Ohm_BW                @Abort
  4.019  VISA         MEASU:IMM:VAL?[I]
  4.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  4.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 1 GHz, 5 mV/div

  5.001  HEAD         -2 50 Ohm, 10 mV/div
  5.002  TARGET
  5.003  VISA         CH[V @Chan]:SCA 10E-3;:HOR:SCA 10E-6
  5.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.005  JMPL         END_50_Ohm_BW                @Abort
  5.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.006  O_CAL        +Voltage = 80 mVpp; Frequency = 50 kHz
  5.007  VISA         ACQ:STATE RUN
  5.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.009  JMPL         END_50_Ohm_BW                @Abort
  5.010  VISA         MEASU:IMM:VAL?[I]
  5.011  MATH         Ref = MEM
  5.012  VISA         HOR:SCA 1E-9
  5.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.014  JMPL         END_50_Ohm_BW                @Abort
  5.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.015  O_CAL        +Voltage = 80 mVpp; Frequency = 1 GHz
  5.016  VISA         ACQ:STATE RUN
  5.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.018  JMPL         END_50_Ohm_BW                @Abort
  5.019  VISA         MEASU:IMM:VAL?[I]
  5.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  5.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 1 GHz, 10 mV/div

  6.001  HEAD         -2 50 Ohm, 50 mV/div
  6.002  TARGET
  6.003  VISA         CH[V @Chan]:SCA 50E-3;:HOR:SCA 10E-6
  6.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.005  JMPL         END_50_Ohm_BW                @Abort
  6.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  6.006  O_CAL        +Voltage = 400 mVpp; Frequency = 50 kHz
  6.007  VISA         ACQ:STATE RUN
  6.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.009  JMPL         END_50_Ohm_BW                @Abort
  6.010  VISA         MEASU:IMM:VAL?[I]
  6.011  MATH         Ref = MEM
  6.012  VISA         HOR:SCA 1E-9
  6.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.014  JMPL         END_50_Ohm_BW                @Abort
  6.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  6.015  O_CAL        +Voltage = 400 mVpp; Frequency = 1 GHz
  6.016  VISA         ACQ:STATE RUN
  6.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.018  JMPL         END_50_Ohm_BW                @Abort
  6.019  VISA         MEASU:IMM:VAL?[I]
  6.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  6.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 1 GHz, 50 mV/div

  7.001  HEAD         -2 50 Ohm, 100 mV/div
  7.002  TARGET
  7.003  VISA         CH[V @Chan]:SCA 100E-3;:HOR:SCA 10E-6
  7.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.005  JMPL         END_50_Ohm_BW                @Abort
  7.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  7.006  O_CAL        +Voltage = 800 mVpp; Frequency = 50 kHz
  7.007  VISA         ACQ:STATE RUN
  7.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.009  JMPL         END_50_Ohm_BW                @Abort
  7.010  VISA         MEASU:IMM:VAL?[I]
  7.011  MATH         Ref = MEM
  7.012  VISA         HOR:SCA 1E-9
  7.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.014  JMPL         END_50_Ohm_BW                @Abort
  7.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  7.015  O_CAL        +Voltage = 800 mVpp; Frequency = 1 GHz
  7.016  VISA         ACQ:STATE RUN
  7.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.018  JMPL         END_50_Ohm_BW                @Abort
  7.019  VISA         MEASU:IMM:VAL?[I]
  7.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  7.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 1 GHz, 100 mV/div

  8.001  HEAD         -2 50 Ohm, 1 V/div
  8.002  TARGET
  8.003  VISA         CH[V @Chan]:SCA 1;:HOR:SCA 10E-6
  8.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.005  JMPL         END_50_Ohm_BW                @Abort
  8.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  8.006  O_CAL        +Voltage = 3.3 Vpp; Frequency = 50 kHz
  8.007  VISA         ACQ:STATE RUN
  8.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.009  JMPL         END_50_Ohm_BW                @Abort
  8.010  VISA         MEASU:IMM:VAL?[I]
  8.011  MATH         Ref = MEM
  8.012  VISA         HOR:SCA 1E-9
  8.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.014  JMPL         END_50_Ohm_BW                @Abort
  8.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  8.015  O_CAL        +Voltage = 3.3 Vpp; Frequency = 1 GHz
  8.016  VISA         ACQ:STATE RUN
  8.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.018  JMPL         END_50_Ohm_BW                @Abort
  8.019  VISA         MEASU:IMM:VAL?[I]
  8.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
  8.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 1 GHz, 1 V/div

  9.001  LABEL        END_50_Ohm_BW
  9.002  HEAD         -2
  9.003  O_CAL        Standby
  9.004  HEAD
  9.005  END

  9.006  EVAL   -e Increment test number

# =====  Sub Tek DPO410xB (1 yr) 1 MOhm BW VER VISA /O_CAL+G1  ==============

 10.001  LABEL        1_MOhm_BW

 10.002  HEAD         ANALOG BANDWIDTH: Channel [V @Chan]
 10.003  RSLT         =
 10.004  HEAD         -2 {1 MOhm}, 1 mV/div
 10.005  TARGET       -p
 10.006  VISA         CH[V @Chan]:TER 1E+6;SCA 1E-3
 10.007  VISA         HOR:SCA 10E-6
 10.008  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
 10.009  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE PK2PK
 10.010  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
 10.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.012  JMPL         END_1_MOhm_BW                @Abort

 10.013  IF           @CalMultiChan

 10.014  IF           @Chan == 1
 10.015  DISP         Connect [V @CalDev] to the DUT as follows:
 10.015  DISP
 10.015  DISP         [32] CH 1 to DUT CH 1 through a 50 Ohm feedthrough
 10.015  DISP         [32] CH 2 to DUT CH 2 through a 50 Ohm feedthrough
 10.015  DISP         [32] CH 3 to DUT CH 3 through a 50 Ohm feedthrough
 10.015  DISP         [32] CH 4 to DUT CH 4 through a 50 Ohm feedthrough
 10.016  ENDIF

 10.017  ELSE

 10.018  IF           FINDI(@CalDev, "58", 0)
 10.019  DISP         Connect the [V @CalDev] CHAN 1 output to the
 10.019  DISP         DUT CH [V @Chan] through a 50 Ohm feedthrough.
 10.020  ELSE
 10.021  DISP         Connect the [V @CalDev] SCOPE OUT to the
 10.021  DISP         DUT CH [V @Chan] through a 50 Ohm feedthrough.
 10.022  ENDIF

 10.023  ENDIF

 10.024  TARGET       -m
# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
 10.025  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 10.025  O_CAL        +Voltage = 8 mVpp; Frequency = 50 kHz
 10.026  VISA         ACQ:STATE RUN
 10.027  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.028  JMPL         END_1_MOhm_BW                @Abort
 10.029  VISA         MEASU:IMM:VAL?[I]
 10.030  MATH         Ref = MEM
 10.031  VISA         HOR:SCA 4E-9
 10.032  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.033  JMPL         END_1_MOhm_BW                @Abort
 10.034  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 10.034  O_CAL        +Voltage = 8 mVpp; Frequency = 175 MHz
 10.035  VISA         ACQ:STATE RUN
 10.036  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.037  JMPL         END_1_MOhm_BW                @Abort
 10.038  VISA         MEASU:IMM:VAL?[I]
 10.039  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
 10.040  EVAL   -e MEM >= 0.707 : [MEM2] @ 175 MHz, 1 mV/div

 11.001  HEAD         -2 1 MOhm, 2 mV/div
 11.002  TARGET
 11.003  VISA         CH[V @Chan]:SCA 2E-3;:HOR:SCA 10E-6
 11.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.005  JMPL         END_1_MOhm_BW                @Abort
 11.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 11.006  O_CAL        +Voltage = 16 mVpp; Frequency = 50 kHz
 11.007  VISA         ACQ:STATE RUN
 11.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.009  JMPL         END_1_MOhm_BW                @Abort
 11.010  VISA         MEASU:IMM:VAL?[I]
 11.011  MATH         Ref = MEM
 11.012  VISA         HOR:SCA 2E-9
 11.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.014  JMPL         END_1_MOhm_BW                @Abort
 11.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 11.015  O_CAL        +Voltage = 16 mVpp; Frequency = 350 MHz
 11.016  VISA         ACQ:STATE RUN
 11.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.018  JMPL         END_1_MOhm_BW                @Abort
 11.019  VISA         MEASU:IMM:VAL?[I]
 11.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
 11.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 350 MHz, 2 mV/div

 12.001  HEAD         -2 1 MOhm, 5 mV/div
 12.002  TARGET
 12.003  VISA         CH[V @Chan]:SCA 5E-3;:HOR:SCA 10E-6
 12.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.005  JMPL         END_1_MOhm_BW                @Abort
 12.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 12.006  O_CAL        +Voltage = 40 mVpp; Frequency = 50 kHz
 12.007  VISA         ACQ:STATE RUN
 12.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.009  JMPL         END_1_MOhm_BW                @Abort
 12.010  VISA         MEASU:IMM:VAL?[I]
 12.011  MATH         Ref = MEM
 12.012  VISA         HOR:SCA 1E-9
 12.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.014  JMPL         END_1_MOhm_BW                @Abort
 12.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 12.015  O_CAL        +Voltage = 40 mVpp; Frequency = 500 MHz
 12.016  VISA         ACQ:STATE RUN
 12.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.018  JMPL         END_1_MOhm_BW                @Abort
 12.019  VISA         MEASU:IMM:VAL?[I]
 12.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
 12.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 500 MHz, 5 mV/div

 13.001  HEAD         -2 1 MOhm, 10 mV/div
 13.002  TARGET
 13.003  VISA         CH[V @Chan]:SCA 10E-3;:HOR:SCA 10E-6
 13.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.005  JMPL         END_1_MOhm_BW                @Abort
 13.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 13.006  O_CAL        +Voltage = 80 mVpp; Frequency = 50 kHz
 13.007  VISA         ACQ:STATE RUN
 13.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.009  JMPL         END_1_MOhm_BW                @Abort
 13.010  VISA         MEASU:IMM:VAL?[I]
 13.011  MATH         Ref = MEM
 13.012  VISA         HOR:SCA 1E-9
 13.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.014  JMPL         END_1_MOhm_BW                @Abort
 13.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 13.015  O_CAL        +Voltage = 80 mVpp; Frequency = 500 MHz
 13.016  VISA         ACQ:STATE RUN
 13.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.018  JMPL         END_1_MOhm_BW                @Abort
 13.019  VISA         MEASU:IMM:VAL?[I]
 13.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
 13.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 500 MHz, 10 mV/div

 14.001  HEAD         -2 1 MOhm, 50 mV/div
 14.002  TARGET
 14.003  VISA         CH[V @Chan]:SCA 50E-3;:HOR:SCA 10E-6
 14.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.005  JMPL         END_1_MOhm_BW                @Abort
 14.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 14.006  O_CAL        +Voltage = 400 mVpp; Frequency = 50 kHz
 14.007  VISA         ACQ:STATE RUN
 14.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.009  JMPL         END_1_MOhm_BW                @Abort
 14.010  VISA         MEASU:IMM:VAL?[I]
 14.011  MATH         Ref = MEM
 14.012  VISA         HOR:SCA 1E-9
 14.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.014  JMPL         END_1_MOhm_BW                @Abort
 14.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 14.015  O_CAL        +Voltage = 400 mVpp; Frequency = 500 MHz
 14.016  VISA         ACQ:STATE RUN
 14.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.018  JMPL         END_1_MOhm_BW                @Abort
 14.019  VISA         MEASU:IMM:VAL?[I]
 14.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
 14.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 500 MHz, 50 mV/div

 15.001  HEAD         -2 1 MOhm, 100 mV/div
 15.002  TARGET
 15.003  VISA         CH[V @Chan]:SCA 100E-3;:HOR:SCA 10E-6
 15.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.005  JMPL         END_1_MOhm_BW                @Abort
 15.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 15.006  O_CAL        +Voltage = 800 mVpp; Frequency = 50 kHz
 15.007  VISA         ACQ:STATE RUN
 15.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.009  JMPL         END_1_MOhm_BW                @Abort
 15.010  VISA         MEASU:IMM:VAL?[I]
 15.011  MATH         Ref = MEM
 15.012  VISA         HOR:SCA 1E-9
 15.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.014  JMPL         END_1_MOhm_BW                @Abort
 15.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 15.015  O_CAL        +Voltage = 800 mVpp; Frequency = 500 MHz
 15.016  VISA         ACQ:STATE RUN
 15.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.018  JMPL         END_1_MOhm_BW                @Abort
 15.019  VISA         MEASU:IMM:VAL?[I]
 15.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
 15.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 500 MHz, 100 mV/div

 16.001  HEAD         -2 1 MOhm, 1 V/div
 16.002  TARGET
 16.003  VISA         CH[V @Chan]:SCA 1;:HOR:SCA 10E-6
 16.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.005  JMPL         END_1_MOhm_BW                @Abort
 16.006  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 16.006  O_CAL        +Voltage = 3.3 Vpp; Frequency = 50 kHz
 16.007  VISA         ACQ:STATE RUN
 16.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.009  JMPL         END_1_MOhm_BW                @Abort
 16.010  VISA         MEASU:IMM:VAL?[I]
 16.011  MATH         Ref = MEM
 16.012  VISA         HOR:SCA 1E-9
 16.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.014  JMPL         END_1_MOhm_BW                @Abort
 16.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 16.015  O_CAL        +Voltage = 3.3 Vpp; Frequency = 500 MHz
 16.016  VISA         ACQ:STATE RUN
 16.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.018  JMPL         END_1_MOhm_BW                @Abort
 16.019  VISA         MEASU:IMM:VAL?[I]
 16.020  MATH         MEM = (MEM / Ref); MEM2 = FMT(MEM, "%5.3f")
 16.021  EVAL   -e MEM >= 0.707 : [MEM2] @ 500 MHz, 1 V/div

 17.001  LABEL        END_1_MOhm_BW
 17.002  HEAD         -2
 17.003  O_CAL        Standby
 17.004  HEAD
 17.005  END
